=== debian/changelog ===
pdqmlwidgets2 (0.0.1.61.ge0b6150-0) UNRELEASED; urgency=medium

   * Initial, First build

 -- Bjarne von Horn <vh@igh.de>  Mon, 24 Jan 2022 16:14:57 +0100
