## pdqmlwidgets2 0.0.1.109.g95c435e

=== debian/changelog ===
pdqmlwidgets2 (0.0.1.109.g95c435e-0) UNRELEASED; urgency=medium

   * Initial, First build

 -- Bjarne von Horn <vh@igh.de>  Mon, 24 Jan 2022 16:14:57 +0100
