## pdqmlwidgets2 0.0.2.g868d16f

=== CMakeLists.txt ===
--- 
+++ 
@@ -56,11 +56,12 @@
     qt5_add_resources(RCC_SOURCES ${QRC_FILES})
 endif()
 
+configure_file(PdQmlWidgets2.h.in "${CMAKE_CURRENT_BINARY_DIR}/PdQmlWidgets2/PdQmlWidgets2.h")
+
 add_library(${PROJECT_NAME}
     PdQmlWidgets2/LiveSvg.h
     PdQmlWidgets2/ScalarVariant.h
     PdQmlWidgets2/VectorVariant.h
-    PdQmlWidgets2/PdQmlWidgets2.h
 
     src/LiveSvg.cpp
     src/PdQmlWidgets2.cpp
@@ -72,6 +73,7 @@
 
 target_include_directories(${PROJECT_NAME} PUBLIC
     "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>"
+    "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>"
     "$<INSTALL_INTERFACE:include>"
 )
 
@@ -110,6 +112,9 @@
 )
 
 install(DIRECTORY ${PROJECT_NAME} DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}")
+install(FILES "${CMAKE_CURRENT_BINARY_DIR}/PdQmlWidgets2/PdQmlWidgets2.h"
+    DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/${PROJECT_NAME}"
+)
 
 # and export it
 
@@ -139,6 +144,30 @@
     NAMESPACE EtherLab::
 )
 
+## bake in git commit hash
+
+
+if (VERSION_HASH)
+    # Hash was given as option, so write it directly
+    # useful for OBS packaging
+    file(WRITE "${CMAKE_CURRENT_BINARY_DIR}/git_revision_hash.h"
+        "#define GIT_REV \"${VERSION_HASH}\"
+")
+else()
+    # recompute hash on every `make` invocation
+    # Note: CMake variable definitions (-D) must be before the -P option!
+    add_custom_target(GitRevision
+        BYPRODUCTS "${CMAKE_CURRENT_BINARY_DIR}/git_revision_hash.h"
+        COMMAND ${CMAKE_COMMAND}
+            -DSOURCE_DIR="${CMAKE_CURRENT_SOURCE_DIR}"
+            -DHASH_MACRO_NAME="GIT_REV"
+            -DTARGET_FILE="${CMAKE_CURRENT_BINARY_DIR}/git_revision_hash.h"
+            -P ${CMAKE_CURRENT_SOURCE_DIR}/git_revision.cmake
+    )
+    add_dependencies(${PROJECT_NAME} GitRevision)
+endif()
+
+
 ## Install qml files
 
 add_subdirectory(qml/de/igh/pd)
@@ -149,3 +178,5 @@
     add_library(EtherLab::PdQmlWidgets2 ALIAS PdQmlWidgets2)
     add_subdirectory(qml_test)
 endif()
+
+configure_file(Doxyfile.in "${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile" @ONLY)
