=== qml_test/CMakeLists.txt ===
--- 
+++ 
@@ -46,9 +46,7 @@
 
 set(SOURCES
     src/ScalarSeries.h
-    src/QmlBuddy.h
     src/ScalarSeries.cpp
-    src/QmlBuddy.cpp
     src/main.cpp
 
     ${EXAMPLE_RCC_SOURCES}
@@ -56,10 +54,12 @@
 
 add_executable(${PROJECT_NAME} ${SOURCES})
 
+# WIN32_EXECUTABLE controls whether the CMD window is hidden
 set_target_properties(${PROJECT_NAME} PROPERTIES
     AUTOUIC 0
     AUTOMOC 1
     AUTORCC 0
+    WIN32_EXECUTABLE true
 )
 
 # link in Qt, the PdWidgets and the PdWidgets QML files
