=== qml/de/igh/pd/CMakeLists.txt ===
--- 
+++ 
@@ -9,6 +9,8 @@
     FontAwesome.otf
     qmldir
     Sprintf.js
+    LoginDialog.qml
+    Pd.qml
     PdBar.qml
     PdCheckBox.qml
     PdComboBox.qml
@@ -30,7 +32,11 @@
     PdTouchEdit.qml
     TouchEdit.qml
     TouchEdit_2_1.qml
+    TouchEdit_2_3.qml
     TouchEditDialog.qml
+    TouchEditDialog_2_2.qml
+    TouchEditDialog_2_3.qml
+    TouchEditNumpad.qml
 DESTINATION "${QML_DIR}/${QML_PATH}")
 
 install(DIRECTORY
