=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,8 @@
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/default.mk
 
+PDQMLWIDGETS_VERSION=`dpkg-parsechangelog --show-field Version | cut -d - -f 1`
+
 # see FEATURE AREAS in dpkg-buildflags(1)
 #export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
@@ -25,6 +27,8 @@
 %:
 	dh $@ --parallel
 
+override_dh_auto_configure:
+	dh_auto_configure -- -DVERSION_HASH=${PDQMLWIDGETS_VERSION}
 
 .PHONY:
 	override_dh_strip
@@ -38,8 +42,3 @@
 override_dh_shlibdeps:
 	dh_shlibdeps -l $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/
 
-
-
-
-
-
